

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
          
          </div>
          <div class="col-sm-6">
           
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
           
            <!-- /.card -->

            <div class="card">
              <div class="card-header">
                <h3 class="card-title">Historique du portefeuille</h3>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                   <div  class="dataTables_filter">
                   
                    <input type="text" id="lawyer_name"class="form-control " placeholder="Nom de prestataire" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                     <input type="text" id="email"class="form-control " placeholder="Entrez l'email" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                  
                   
                     <input type="button" id="search" class="btn btn-primary"  value="filtre" onclick="handlefilter()" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                </div>
                <table id="example1" class="table table-bordered table-hover">
                  <thead>
                  <tr>
                      <th>ID</th>
                    <th>Nom du prestataire</th>
                    <th>Email</th>
                    <th>Montant demandé</th>
                    <th>Statut</th>
                    <th>Date et heure demandées</th>
                  </tr>
                  </thead>
                  <tbody>
                 <% portfoliohistory.forEach((element,index) => { %>
                  <tr>
                      <td><%= index+1 %></td>
                    <td><%= element.provider_name %></td>
                    <td><%= element.email %> </td>
                    <td><%= element.request_amount %></td>
                   
                    <td> <%= element.payment_status?"Payé":"En attente"%></td>
                   <td> <%=moment(element.request_date).format("DD.MM.YYYY")%></td>
                  </tr>
                  <% }); %>
                  </tbody>
                
                
                
                 
                
                </table>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->


<!-- Page specific script -->
<script>
 
  function rechargehistory(id){
    var id=id;
    
    // var url= baseurl+"rechargehistory/"+id;
    
    // const requestOptions = {
    // method: 'GET'
    // };
    //     fetch(url, requestOptions)
    //     .then(response => response.json())
    //     .then(data => {
    //         if(data.status){
    //           toastr.success(data.message);
    //           window.location.href = baseurl+"rechargehistory/"+id;
    //         }else{
    //           toastr.error(data.message);
    //         }
    //     })
    let url='/admin-panel/viewrechargehistory/'+id;
      
      window.location.href = url;
   
  }
    function flowhistory(id){
        window.location.href = "<%= base_url %>viewflowhistoryind/"+id;
    }

      function handlefilter(){
  
  var lawyer_name = $("#lawyer_name").val();
  var email=$("#email").val();


  var url = "<%=base_url%>portfoliohistory?provider_name="+lawyer_name+"&email="+email;
  window.location.href = url;
}
</script>
